CREATE TYPE enumTaskStatus AS ENUM ('O', 'C');

CREATE TABLE public.task (
    id integer GENERATED BY DEFAULT AS IDENTITY,
    title text,
    description text,
    creationDate timestamp with time zone,
    status enumTaskStatus,
    projectId integer,
    authorId integer,
    PRIMARY KEY(id)
);

ALTER TABLE public.task 
ADD CONSTRAINT fk_task_project FOREIGN KEY (projectId) REFERENCES public.project (id);

ALTER TABLE public.task 
ADD CONSTRAINT fk_task_user FOREIGN KEY (authorId) REFERENCES public.user (id);